
gl HomeFolder ""


*******************************************************************************
use "$HomeFolder/Exp1_2_dataset.dta", clear

****************************EXCLUSIONS start***********************************

*Quiz:
/* Exp1:
Additional quiz failures:
*/
replace quiz_fail=1 if subject=="nfc-130918_1655-phase1-subj07"
replace quiz_fail=1 if subject=="nfc-131106_1657-phase1-subj02"
*count if quiz_fail==1 & experiment==1
*list subject if quiz_fail==1 & experiment==1
*drop if quiz_fail==1 & experiment==1

*11 + nfc-130918_1655-phase1-subj09 (excluded ex-ante) = 12


*Exp2:
*Quiz failures:
replace quiz_fail=1 if subject == "fc-2018-09-27-4"
replace quiz_fail=1 if subject == "fc-2018-09-27-9"
replace quiz_fail=1 if subject == "fc-2018-09-28-1-17"
replace quiz_fail=1 if subject == "fc-2018-09-28-1-23"
replace quiz_fail=1 if subject == "fc-2018-09-28-2-5"
replace quiz_fail=1 if subject == "fc-2018-09-28-2-14"
replace quiz_fail=1 if subject == "fc-2018-09-28-2-15"
replace quiz_fail=1 if subject == "nfc-2018-09-20-14"
replace quiz_fail=1 if subject == "nfc-2018-09-21-1-8"
replace quiz_fail=1 if subject == "nfc-2018-09-21-2-1"
replace quiz_fail=1 if subject == "nfc-2018-09-21-2-6"
replace quiz_fail=1 if subject == "nfc-2018-09-21-2-8"
replace quiz_fail=1 if subject == "nfc-2018-09-21-2-15"
replace quiz_fail=1 if subject == "nfc-2018-09-21-2-20"
replace quiz_fail=1 if subject == "nfc-2018-09-21-2-24"
replace quiz_fail=1 if subject == "nfc-2018-10-05-2"
replace quiz_fail=1 if subject == "nfc-2018-10-05-9"
replace quiz_fail=1 if subject == ""


*Noisiness exclusions given by cutoff variable
*This variable is the lower 2.5 percentile of HM scores for 
*10,000 random simulations of active choices from the actual set of menus at which the subject made an active choice.
replace cutoff = 8 if active_choices==26
*This sets the cutoff for FC subjects.

gen exclude_noisy=0
replace exclude_noisy=1 if hm_active>=cutoff
replace exclude_noisy=0 if cutoff==0&hm_active==0
replace exclude_noisy=0 if active_choices==0
*list subject if exclude_noisy==1

gen exclude_singleton = 0
replace exclude_singleton = 1 if active_singleton<5 & experiment==1

gen exclude_total = 0
replace exclude_total = 1 if quiz_fail==1
replace exclude_total = 1 if exclude_noisy==1
replace exclude_total = 1 if exclude_singleton==1

****************************EXCLUSIONS end**********************************


****************************Table 2 start************************************
*Subjects in the original sample:
bys experiment: count
* + 1 additional subject excluded ex-ante from Experiment 1 due to quiz failure (nfc-130918_1655-phase1-subj09)
*Subject exclusions due to quiz failures:
bys experiment: count if quiz_fail==1
* Again, + 1 subject (nfc-130918_1655-phase1-subj09) in Exp 1
*Subject exclusions due indistinguishability from random behavior:
bys experiment: count if exclude_noisy==1 & quiz_fail==0
*Subject exclusions due to singleton deferrals:
bys experiment: count if exclude_singleton==1 & quiz_fail==0 & exclude_noisy==0
*Subject exclusions - total:
bys experiment: count if exclude_total==1
* Again, + 1 subject (nfc-130918_1655-phase1-subj09) in Exp 1
*Subjects after all exclusions:
bys experiment: count if exclude_total==0
*Subjects after all exclusions - FC:
bys experiment: count if exclude_total==0 & fc==1
*Subjects after all exclusions - NFC:
bys experiment: count if exclude_total==0 & fc==0
****************************Table 2 end************************************

gen deferrals = 26-active_choices
gen deferring = active_choices<26

gen warp0 = warp==0
gen cong0 = congruence==0
gen hm0 = hm==0

gen indecisive = 1-dec

label var deferrals "Deferrals"
label define explabel 1 "Exp1" 2 "Exp2" 
label values experiment explabel

drop if exclude_total==1
******************************************************************************
exit


****************************Figure 1 start************************************

set scheme s1mono
histogram deferrals if fc==0, subtitle("") by(experiment, note("")) ylabel(0(.1).7, grid) xlabel(0(5)25) disc ysize(2.5)
/* graph export "aux_files/deferrals_histogram.pdf", as(pdf) replace */

*Tests related to Figure 1:

ranksum deferrals if fc==0, by(experiment) exact

bys experiment: sum deferrals if fc==0
bys experiment: sum deferrals if fc==0 & deferring==1
bys experiment: tab deferrals if fc==0

tab deferring experiment if fc==0, col exact

ranksum deferrals if fc==0 & deferring==1, by(experiment) exact

****************************Figure 1 end*************************************


*Footnote 6:
bys fc: tab warp0 experiment, col exact
bys fc: tab cong0 experiment, col exact
bys fc: ranksum hm_active, by(experiment)
bys fc: ranksum swaps, by(experiment)


****************************Table 3 start************************************

bys experiment: tab warp0 fc, col exact
tab warp0 fc, col exact
bys experiment: tab cong0 fc, col exact
tab cong0 fc, col exact

****************************Table 3 end**************************************


****************************Table 4 start************************************
*WARP Means
bys experiment: ttest warp, by(fc)
ttest warp, by(fc)
*WARP Quartiles:
bys experiment fc: sum warp, det
bys fc: sum warp, det
*WARP MW tests:
bys experiment: ranksum warp, by(fc) exact
ranksum warp, by(fc) exact
*Congruence Means
bys experiment: ttest congruence, by(fc)
ttest congruence, by(fc)
*Congruence Quartiles:
bys experiment fc: sum congruence, det
bys fc: sum congruence, det
*Congruence MW tests:
bys experiment: ranksum congruence, by(fc) exact
ranksum congruence, by(fc) exact

****************************Table 4 end**************************************


****************************Table 5 start************************************

*HM Means:
bys experiment: ttest hm_active, by(fc)
ttest hm_active, by(fc)
*HM MW tests:
bys experiment: ranksum hm_active, by(fc) exact
ranksum hm_active, by(fc) exact
*SWAPS Means:
bys experiment: ttest swaps, by(fc) 
ttest swaps, by(fc)
*SWAPS MW tests:
bys experiment: ranksum swaps, by(fc) exact
ranksum swaps, by(fc) exact

****************************Table 5 end************************************


****************************Table 6 start************************************

*Indecisiveness score:
centile indecisive, centile(33.3 50 66.7)
gen indec67=1 if indecisive>.4740
replace indec67=0 if indecisive<.3052

*WARP/Congruence Proportions and p-values:
bys indec67: tab warp0 fc, col exact
bys fc: tab warp0 indec67, col exact

*HM Means:
bys indec67: ttest hm_active, by(fc)
*HM MW tests of treatment diffs:
bys indec67: ranksum hm_active, by(fc)
*HM MW tests of indec diffs:
bys fc: ranksum hm_active, by(indec67)

*Swaps Means:
bys indec67: ttest swaps, by(fc)
*Swaps MW tests of treatment diffs:
bys indec67: ranksum swaps, by(fc)
*Swaps MW tests of indec diffs:
bys fc: ranksum swaps, by(indec67)

*Indecisiveness of deferring vs non-deferring subjects:
ttest indecisive if fc==0, by(deferring)
ranksum indecisive if fc==0, by(deferring)

****************************Table 6 end**************************************


****************************Table 7 start************************************

*hm_um = distance score for Rational Choice model
*hm_mdc = distance score for Dominant Choice model
*hm = min{hm_um,hm_mdc}
*Proportion zero scores:
gen hm_um0 = hm_um==0
gen hm_mdc0 = hm_mdc==0

*Experiment 1: Forced Choice
*Means, ranges & medians:
sum hm_um hm_mdc hm if experiment==1 & fc==1, det
*Proportion of zero scores:
sum hm_um0 hm_mdc0 hm0 if experiment==1 & fc==1

*Experiment 1: Nonforced Choice
*Means, ranges & medians:
sum hm_um hm_mdc hm if experiment==1 & fc==0, det
*Proportion of zero scores:
sum hm_um0 hm_mdc0 hm0 if experiment==1 & fc==0

*Experiment 2: Forced Choice
*Means, ranges & medians:
sum hm_um hm_mdc hm if experiment==2 & fc==1, det
*Proportion of zero scores:
sum hm_um0 hm_mdc0 hm0 if experiment==2 & fc==1

*Experiment 2: Nonforced Choice
*Means, ranges & medians:
sum hm_um hm_mdc hm if experiment==2 & fc==0, det
*Proportion of zero scores:
sum hm_um0 hm_mdc0 hm0 if experiment==2 & fc==0

*Pooled: Forced Choice
*Means, ranges & medians:
sum hm_um hm_mdc hm if fc==1, det
*Proportion of zero scores:
sum hm_um0 hm_mdc0 hm0 if fc==1

*Pooled: Nonforced Choice
*Means, ranges & medians:
sum hm_um hm_mdc hm if fc==0, det
*Proportion of zero scores:
sum hm_um0 hm_mdc0 hm0 if fc==0

****************************Table 7 end**************************************



****************************Table 8 start************************************
gen model_perfect = model_hm if hm==0
*replace model_perfect = "" if hm>0

*Experiment 1: Forced choice
tab model_hm if experiment==1 & fc==1
tab model_perfect if experiment==1 & fc==1, m

*Experiment 1: Nonforced choice
tab model_hm if experiment==1 & fc==0
tab model_perfect if experiment==1 & fc==0, m

*Experiment 1: Nonforced choice - deferring
tab model_hm if experiment==1 & fc==0 & deferring==1
tab model_perfect if experiment==1 & fc==0 & deferring==1, m

*Experiment 2: Forced choice
tab model_hm if experiment==2 & fc==1
tab model_perfect if experiment==2 & fc==1, m

*Experiment 2: Nonforced choice
tab model_hm if experiment==2 & fc==0
tab model_perfect if experiment==2 & fc==0, m

*Experiment 2: Nonforced choice - deferring
tab model_hm if experiment==2 & fc==0 & deferring==1
tab model_perfect if experiment==2 & fc==0 & deferring==1, m

*Pooled: Forced choice
tab model_hm if fc==1
tab model_perfect if fc==1, m

*Pooled: Nonforced choice
tab model_hm if fc==0
tab model_perfect if fc==0, m

*Pooled: Nonforced choice - deferring
tab model_hm if fc==0 & deferring==1
tab model_perfect if fc==0 & deferring==1, m

****************************Table 8 end**************************************

*Compare indecisiveness in NFC:
ttest indecisive if fc==0, by(model_hm)
ranksum indecisive if fc==0, by(model_hm)
