gl HomeFolder ""


*******************************************************************************
use "$HomeFolder/Exp1_2_dataset.dta", clear

merge 1:m subject using "$HomeFolder/Exp1_2_PREST.dta"

drop _merge
merge 1:1 subject position using "$HomeFolder/pa_hm.dta"

****************************EXCLUSIONS start***********************************

*Quiz:
/* Exp1:
Additional quiz failures:
*/
replace quiz_fail=1 if subject=="nfc-130918_1655-phase1-subj07"
replace quiz_fail=1 if subject=="nfc-131106_1657-phase1-subj02"
*count if quiz_fail==1 & experiment==1
*list subject if quiz_fail==1 & experiment==1
*drop if quiz_fail==1 & experiment==1

*11 + nfc-130918_1655-phase1-subj09 (excluded ex-ante) = 12


*Exp2:
*Quiz failures:
replace quiz_fail=1 if subject == "fc-2018-09-27-4"
replace quiz_fail=1 if subject == "fc-2018-09-27-9"
replace quiz_fail=1 if subject == "fc-2018-09-28-1-17"
replace quiz_fail=1 if subject == "fc-2018-09-28-1-23"
replace quiz_fail=1 if subject == "fc-2018-09-28-2-5"
replace quiz_fail=1 if subject == "fc-2018-09-28-2-14"
replace quiz_fail=1 if subject == "fc-2018-09-28-2-15"
replace quiz_fail=1 if subject == "nfc-2018-09-20-14"
replace quiz_fail=1 if subject == "nfc-2018-09-21-1-8"
replace quiz_fail=1 if subject == "nfc-2018-09-21-2-1"
replace quiz_fail=1 if subject == "nfc-2018-09-21-2-6"
replace quiz_fail=1 if subject == "nfc-2018-09-21-2-8"
replace quiz_fail=1 if subject == "nfc-2018-09-21-2-15"
replace quiz_fail=1 if subject == "nfc-2018-09-21-2-20"
replace quiz_fail=1 if subject == "nfc-2018-09-21-2-24"
replace quiz_fail=1 if subject == "nfc-2018-10-05-2"
replace quiz_fail=1 if subject == "nfc-2018-10-05-9"
replace quiz_fail=1 if subject == ""


*Noisiness exclusions given by cutoff variable
*This variable is the lower 2.5 percentile of HM scores for 
*10,000 random simulations of active choices from the actual set of menus at which the subject made an active choice.
replace cutoff = 8 if active_choices==26
*This sets the cutoff for FC subjects.

gen exclude_noisy=0
replace exclude_noisy=1 if hm_active>=cutoff
replace exclude_noisy=0 if cutoff==0&hm_active==0
replace exclude_noisy=0 if active_choices==0
*list subject if exclude_noisy==1

gen exclude_singleton = 0
replace exclude_singleton = 1 if active_singleton<5 & experiment==1

gen exclude_total = 0
replace exclude_total = 1 if quiz_fail==1
replace exclude_total = 1 if exclude_noisy==1
replace exclude_total = 1 if exclude_singleton==1

****************************EXCLUSIONS end**********************************

drop if exclude_total==1

*Indecisiveness score:
gen indecisive = 1-dec

sort experiment fc subject
egen id = group(subject)
******************************************************************************
exit


****************************Table 9 start************************************

logit deferral indecisive position i.size i.experiment if fc==0 & size>1, vce(cluster id)
logit deferral indecisive position i.size i.experiment if fc==0 & size>1, or vce(cluster id)

****************************Table 9 end*************************************



****************************Table 10 start************************************

logit pa_hm i.fc##c.position i.size i.experiment if size>1, vce(cluster id)
logit pa_hm i.fc##c.position i.size i.experiment if size>1, or vce(cluster id)

****************************Table 10 end**************************************



